#ifndef _CD_LDAP_H
#define _CD_LDAP_H

/**
 * @author    Gerald Klinkl
 * @version   $Revision: 1.7 $
 *
 * Revision 1.10  2014-08-19 gerald
 * Re-write CRL handling code to support more than one CRL
 *
 * Revision 1.9  2013-06-26 gerald
 * Attempt to re-connect to the LDAP server if connection is broken
 *
 * Revision 1.8  2013-04-03 gerald
 * Fix include dependencies
 *
 */

#include <arpa/inet.h>  /* needed for standard integer types!! */

#ifdef HAVE_AUTHENTICATION
#ifdef HAVE_LDAP

#include <lber.h>
#include <ldap.h>
#include "cd_common.h"

/*@null@*/ extern LDAP *openLDAP(const char *LDAPserver,
                                 /*@null@*/ LDAP *oldLdapID);

extern int loadLDAPkeys4Station(keyCache_t **keyCache, LDAP *ld,
                     const char *base,
                     const char *stationName, long ldapTimeout,
                     uint32_t logLoading);

extern int
checkLDAPKeys4Station(keyCache_t *keyCache, configParams_t *pConfigData,
                      uint32_t logLoading);
extern int loadCRLfromLDAP(configParams_t *pConfigData);

#endif /* HAVE_LDAP */
#endif /* HAVE_AUTHENTICATION */
#endif /* _CD_LDAP_H */

