#ifndef _ODBCERR_H
#define _ODBCERR_H

extern int ODBClogError(const char *header, SQLSMALLINT handleType,
                        SQLHANDLE handle);

#define ERR_CHECK(rc, msg, htype, hndl) \
   if (SQL_SUCCESS != rc && SQL_SUCCESS_WITH_INFO != rc)\
   {\
      (void)ODBClogError(msg, htype, hndl);\
      break;\
   }

#define ERR_CHECK_DBH(rc, msg, hndl) \
   if (SQL_SUCCESS != rc && SQL_SUCCESS_WITH_INFO != rc)\
   {\
      (void)ODBClogError(msg, SQL_HANDLE_DBC, hndl);\
      break;\
   }

#define ERR_CHECK_STH(rc, msg, hndl) \
   if (SQL_SUCCESS != rc && SQL_SUCCESS_WITH_INFO != rc)\
   {\
      (void)ODBClogError(msg, SQL_HANDLE_STMT, hndl);\
      break;\
   }

#define LOG_RET(rc, msg, htype, hndl) \
   if (SQL_SUCCESS != rc && SQL_SUCCESS_WITH_INFO != rc)\
   {\
      (void)ODBClogError(msg, htype, hndl);\
   }

#endif /* _ODBCERR_H */
