#ifndef _SIM_SYSLOG_H
#define _SIM_SYSLOG_H

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

/* ------------ check for compiled with idcsyslog ----------------*/
#ifdef HAVE_IDCSYSLOG
# ifdef HAVE_IDCSYSLOG_H
#  include <idcsyslog.h>
# else
#  ifdef HAVE_LOGGING_H
#   include <logging.h>
#  endif
# endif
#else /* ------------ simulate idcsyslog features ----------------*/
#define DEBUG_FP  stderr
#define IF_DEBUG(level)        if (debugLevelExt >= level)
#define DEBUG_HDR    (void)fprintf(DEBUG_FP,"(Debug:%.2hu)", debugLevelExt)
#define DEBUG(level,msg)       IF_DEBUG(level)\
        { DEBUG_HDR;\
          (void)fprintf(DEBUG_FP,"%s\n", msg); (void)fflush(DEBUG_FP);}
#define DEBUG2(level,fmt,p1)   IF_DEBUG(level)\
        { DEBUG_HDR;\
          (void)fprintf(DEBUG_FP,fmt, p1); (void)fprintf(DEBUG_FP,"\n");\
          (void)fflush(DEBUG_FP);}
#define DEBUG3(level,fmt,p1, p2)  IF_DEBUG(level)\
        { DEBUG_HDR;\
          (void)fprintf(DEBUG_FP,fmt, p1, p2); (void)fprintf(DEBUG_FP,"\n");\
          (void)fflush(DEBUG_FP);}
#define DEBUG4(level,fmt,p1, p2, p3)  IF_DEBUG(level)\
        { DEBUG_HDR;\
          (void)fprintf(DEBUG_FP,fmt, p1, p2, p3);\
          (void)fprintf(DEBUG_FP,"\n");\
          (void)fflush(DEBUG_FP);}

static int debugLevelExt = 0;
#define longLogWrite(level, str) (void)fprintf(DEBUG_FP, str)
#define logError(s1, s2) (void)fprintf(DEBUG_FP, "Error:%s [%s]", s1, s2)
#define logWarning(s1, s2) (void)fprintf(DEBUG_FP, "Warning:%s [%s]", s1, s2)
#define setDebugLevel(level) debugLevelExt = level

#endif /* not HAVE_IDCSYSLOG */
/* ------------ end check for compiled with idcsyslog ----------------*/
#endif /* _SIM_SYSLOG_H */
