/*
 *  Copyright 1992 Science Applications International Corporation.
 *
 *
 *  libfilter.h include file.
 *	
 *  SCCSID: @(#)libfilter/libfilter.h	111.1	10/13/97
 */

#ifndef	LIBFILTER_H
#define	LIBFILTER_H

#include <string.h>	/* For strncmp() */
#include "cdefs.h"	/* For Proto macro */



/* Maximum filter order, coefficents allowed */
#define MAX_FILTER_ORDER  10
#define MAX_FILTER_COEFS  MAX_FILTER_ORDER*3	


/* Macros to determine filter type */
#define BANDPASS_FILTER(ftype) (strncmp (ftype,"BP",2)==0)
#define BANDREJECT_FILTER(ftype) (strncmp (ftype,"BR",2)==0)
#define HIGHPASS_FILTER(ftype) (strncmp (ftype,"HP",2)==0)
#define LOWPASS_FILTER(ftype) (strncmp (ftype,"LP",2)==0)
#define NO_FILTER(ftype) (strncmp (ftype,"NO",2)==0)


/* from filter.c */
Proto (extern int, butterworth_filter, (float *data, int nsamp,
					double samprate, double flow,
					double fhigh, int order,
					char *ftype, int zp, int adjust,
					int *gdel_samp));

Proto (extern int, filter, (float *data_in, int total_samples, 
			    double sample_rate, char *params, 
			    float **data_out));
Proto (extern int, filter_with_group_delay_correction,
       (float *data_in, int total_samples, 
	double sample_rate, char *params, 
	float **data_out));
Proto (extern int, filter2, (double samprate, int   nsamp, double calib,
			     char *data, double flow, double fhigh,
			     int   order, char *ftype, int   zp));


/* from fort_filt.f */
Proto (extern void, apiir_, (float *data, int *nsamps, int *zp, 
			     float *sn, float *sd, int *nsects));

Proto (extern void, iirdes_, (int *iord, char type[2], float *flo,
			      float *fhi, float *samp_period,
			      float *sn, float *sd, int *nsects, int));


/* from predict.c */
Proto (extern int, pef_estimate_acov, (float *x, int n, float *c, int m));
Proto (extern int, pef_update_acov, (float *x, int i1, int i2, float *c1,
				     float *c2, int m, int i));
Proto (extern int, pef_ar_var, (float *c, int m, float *a, double *r));
Proto (extern int, pef_ar_model, (float	*data, int npts, int ncoef,
				  float	*coef));
Proto (extern int, pef_whiten, (float *data, int npts, float *coef,
				int ncoef, float *wdata));

/* from butterworth_response.c */
Proto (extern int, butterworth_response, (char *filt_type, int filt_order,
					  int zero_phase, double freq,
					  double hicut, double lowcut,
					  double samprate, double *resp));

/* from group_delay.c */
Proto (extern int, group_delay, (int causal, char *ftype, 
				 int ford, double flo, double fhi,
				 double	samprate, int *gdel_samp,
				 double *gdel_sec));



#endif /* LIBFILTER_H */
