
/*
 * libinterp.h include file.  Prototype definitions for routines called
 * outside of library libinterp.
 *
 * SccsId:  @(#)libinterp.h	103.1	05 Oct 1994	Copyright 1994 Science Applications International Corporation.
 */

#ifndef _LIBINTERP_H_
#define _LIBINTERP_H_

#include "aesir.h"	/* For Proto definition. */


Proto (extern int, interpolate_table_value, (	Bool	do_extrap,
						Bool	in_hole,
						Bool	do_we_need_z_derivs,
						int	nx,
						int	nz,
						float	*x,
						float	*z,
						float	**xz,
						float	dist,
						float	depth,
						float	*value,
						float	*x_1st_deriv,
						float	*z_1st_deriv,
						float	*x_2nd_deriv,
						float	*z_2nd_deriv,
						int	*interp_err));

Proto (extern void, holint2_, (		int	*phase_id,
					int	*do_extrap,
					int	*m,
					int	*n,
					float	*x,
					float	*y,
					float	*f,
					int	*ldf,
					float	*fbad,
					float	*x0,
					float	*y0,
					float	*dcalx,
					float	*fx0,
					float	*fy0,
					float	*fxy0,
					int	*idist,
					int	*idepth,
					int	*ihole));

Proto (extern void, brack_one_vector, (	float	*xx,
					int	n,
					float	x,
					int	*j));

Proto (extern void, brack_one_dvector, (double	*xx,
					int	n,
					double	x,
					int	*j));

Proto (extern void, splie2, (		float	*xs,
					float	*xf,
					float	**ysf,
					int	nslow,
					int	nfast,
					float	**y2sf));

Proto (extern void, splin2, (		float	*xs,
					float	*xf,
					float	**ysf,
					float	**y2sf,
					int	nslow,
					int	nfast,
					float	rxs,
					float	rxf,
					float	*rysf,
					float	*drysf,
					float	*d2rysf));

Proto (extern void, spline, (		float	*x,
					float	*y,
					int	n,
					float	yp1,
					float	ypn,
					float	*y2));

Proto (extern void, splint, (		float	*xa,
					float	*ya,
					float	*y2a,
					int	n,
					float	x,
					float	*y));

Proto (extern void, splint_deriv, (	float	*xa,
					float	*ya,
					float	*y2a,
					int	n,
					float	x,
					float	*y,
					float	*dy,
					float	*d2y));

Proto (extern int, ratint, (		float	*xa,
					float	*ya,
					int	n,
					float	x,
					float	*y,
					float	*dy));


#endif /* _LIBINTERP_H_ */

