
/*
 * libprob.h include file.  Prototype definitions for routines related to
 * probability of detection and general probability utilities.
 *
 * Copyright (c) 1994, 1995 Science Applications International Corporation.
 */

#ifndef	_LIBPROB_H_
#define	_LIBPROB_H_

#include "aesir.h"	/* For Proto definition. */
#include <math.h>

/* Prototype definitions for the libprob code */

#define ITMAX 100       /* For use in chi2_test.c subroutines */
#define EPS 3.0e-7      /* For use in chi2_test.c subroutines */

Proto (extern int, prob_of_detect, (	int	num_sta,
					double	delta[],
					double	ev_depth,
					double	snr_threshold[],
					double	sta_noise[],
					double	sdv_sta_noise[],
					double	evmag,
					char	*atten_file,
					double	det_prob[]));

Proto (extern double, prob_func , (	double	x));

Proto (extern int, sta_probdet, (	double	evmag,
					int	num_sta,
					double	delta[],
					double	ev_depth,
					double	sta_noise[],
					double	sdv_sta_noise[],
					int	num_atten,
					Bool	distances_spaced_every_1deg,
					double	atdelta[],
					double	bdelta[],
					double	atsigma[],
					double	snr_threshold[],
					double	det_prob[]));
Proto (extern double, gammp,
       (double a,
        double x, 
        int    *ierr)) ;

Proto (extern double, errfunc_inv,
       (double x)) ;

Proto (extern double, gammln,
       (double xx)) ;

Proto (extern void, gcf,
       (double *gammcf, 
        double a, 
        double x, 
        double *gln, 
        int    *ierr));

Proto (extern void, gcfln,
       (double *gammcfln, 
	double a, 
	double x, 
	double *gln, 
	int *ierr)) ;

Proto (extern void, gser,
       (double *gamser, 
        double a, 
        double x, 
        double *gln, 
        int    *ierr));

Proto (extern double, chi2_value,
       (double prob, 
        double nu, 
        double prec, 
        int    *ierr));

#endif  /* _LIBPROB_H_ */
